<template>
  <HelloWorld
    :listItem="listItem"
    :activePage="activePage"
    :totalPage="totalPage"
    :getItem="getItem"
    :addItem="addItem"
    :deleteItem="deleteItem"
    :updateItem="updateItem"
    :searchItem="searchItem"
    :register="register"
    />
</template>

<script>
import HelloWorld from "../components/HelloWorld.vue";
import { mapState, mapActions } from "vuex";
import * as types from "../store/ItemModule/types";
export default {
  setup() {},
  components: {
    HelloWorld,
  },
  computed: {
    ...mapState({
      listItem: (state) => state.item.listItem,
      activePage: (state) => state.item.activePage,
      totalPage: (state) => state.item.totalPage
    }),
  },
 mounted() {
    this.getItem({ activePage: 1 });
  },
  methods: {
    ...mapActions({
      getItem: "item/" + types.GET_ITEM_REQUEST,
      addItem: "item/" + types.ADD_ITEM_REQUEST,
      deleteItem: "item/" + types.DELETE_ITEM_REQUEST,
      updateItem: "item/" + types.UPDATE_ITEM_REQUEST,
      searchItem: "item/" + types.SEARCH_ITEM_REQUEST,
      register: "item/" + types.REGISTER_ITEM_REQUEST
    }),
  },
};
</script>

<style>
</style>